<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<meta HTTP-EQUIV="imagetoolbar" CONTENT="no" />
<title>:::SEARCH:::</title>
<link href="../../css/style.css" rel="stylesheet" type="text/css" />
<link href="../../css/ToolBox.css" rel="stylesheet" type="text/css" />
<script  language="javascript" src="../../js/parse_get.js" type="text/javascript"></script>
<script  language="javascript" src="../../js/parse_cookie.js" type="text/javascript"></script>
<script language="javascript" src="" type="text/javascript" id='SearchKeyFiles'></script>
</head>
<body topmargin=0 leftmargin=0 marginwidth=0 marginheight=0 bgcolor="#FCFCF7">
<script language="javascript" type="text/javascript">
//<![CDATA[
var TotalFileCount = 1;
var sn = 1;
var Dn= 1;
var old_pg;
var rtCount = 0;
var ptCount = 0;
var otCount = 0;

var SearchInfo = new Array();
var sPrintBody = new Array();
function disableOndrag()
{
	document.body.onselectstart = null;
}

function enableOndrag() {
	document.body.onselectstart =  function() {return false;};
}


function getouterHtml(obj)
{
	var html = null;
	//널처리
	if (obj == null) return null;
	if (typeof(obj.outerHTML) == "string")
	{//스트링값을 가져온다면 IE로 가정함
		html =  obj.outerHTML;
		//alert("ie"); //디버그용
	}
	else
	{
		html = (new XMLSerializer).serializeToString(obj); 
		//alert("ff"); //디버그용
	}
	return html;
}

//ff대응 outerhtml 삽입
function setOuterHtml(obj, html)
{
	if (obj == null) return; //null처리
	if (typeof(obj.outerHTML) == "string")
	{
		//스트링값을 가져온다면 IE로 가정함
		//alert("ie"); //디버그용
		
		obj.outerHTML = html
		
	}
	else
	{
		//alert("ff"); //디버그용
		var el = document.createElement('div');
		el.innerHTML = html;
		var range = document.createRange();
		range.selectNodeContents(el);
		var documentFragment = range.extractContents();
		obj.parentNode.insertBefore(documentFragment, obj);
		obj.parentNode.removeChild(obj);
	}
}

function chg_script(js) 
{
	var head = document.getElementsByTagName("head")[0];
	var script = document.createElement("script"); 
	if (head.getElementsByTagName("script").length > 1) 
	{ 
		for (var i = (head.childNodes.length - 1); i >= 0; i--)
		{ 
		
			if (head.childNodes[i].nodeName == 'SCRIPT' && head.childNodes[i].id == 'SearchKeyFiles') 
            { 
				head.removeChild(head.childNodes[i]); 
				break; 
			} 
		}
	} 
    script.src = js; 
    script.type = 'text/javascript'; 
	script.id= 'SearchKeyFiles';
    head.appendChild(script); 
	
} 

function LoadFiileChk2(Loop) 
{	
	if(Loop==0)
	{
		if(FileName[Dn]) 
		{
			try
			{
				if(parent.isBroswerChk == "IE")
				{
					document.getElementById("SearchKeyFiles").src ="";
					setTimeout("document.getElementById(\"SearchKeyFiles\").src = '"+FileName[Dn]+"'", 5);	
				}
				else
				{
					setTimeout("chg_script('"+FileName[Dn]+"')", 5);
				}
			}
			catch(e)
			{
				alert(e);
			}
		}
		else 
		{
			
			parent.searchDataLoad2 = 1;
		}
	}
}

function SearchProc() 
{
	var SearchLen = SearchKey.length;
	//alert(SearchLen);
	var LayOutObj = document.getElementById('SearchResultLayout');
	var m =0;
	
	if(Dn==1)
	{
		var SearchToolTop = "<table width=\"320\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">"+
										  "<tr height=\"20\"><td width=\"310\" align='right'>검색결과 : <font color=blue><strong><span id='sResultTitle'>0</span></strong></font> 페이지 - <font color=red><strong><span id='sResultTitle2'>0</span></strong></font> 건</div></td></tr>"+
										  "</table>";
		/*
		tmpSearchDiv=document.createElement("div");
		document.body.insertBefore(tmpSearchDiv, null);
		//document.body.appendChild(tmpSearchDiv);
		setOuterHtml(LayOutObj, SearchToolTop);
		delete tmpSearchDiv;
		*/
		LayOutObj.innerHTML += SearchToolTop;
	}

	for(i=0; i < SearchLen; i++) {
		var LineContents = SearchKey[i][9].replace(/ /ig, "");
		var sp = LineContents.match(matchKey);
				
		if(sp && sp != -1) {
			var pg = SearchKey[i][0];
			var slen = SearchCorrect.length;
			var sFirst = false;
			for(c=0; c < slen; c++) {
				if(SearchCorrect[c] == pg)
					sFirst = true;
			}
					
			if(sFirst == false) {
				SearchCorrect[slen] = pg;
				parent.SearchThump[m] = pg;
				m++;
				SearchInfo[pg] = new Array();
			}
					
			var pLen = SearchInfo[pg].length; 
					
			SearchInfo[pg][pLen] = new Array(pg, SearchKey[i][1], SearchKey[i][2], SearchKey[i][3], SearchKey[i][4], SearchKey[i][5], SearchKey[i][6], SearchKey[i][7], SearchKey[i][8], SearchKey[i][9]);
			
			
			if((old_pg && pg != old_pg ) )
			{
				var SearchImgs = parent.PageData[old_pg][6];	
				if(parent.PageNumPrintStart)
				{
					rePg = ( parent.PageData[old_pg][4] - parent.PageNumPrintStart) + 1;
					if(rePg < 1) 
						rePg = "Cover";
					else
						rePg = rePg+"P";
				}
				else
				{
					rePg = parent.PageData[old_pg][4]+"P";
				}
				
				searchPageHead ="<div class='box1' ><div class='box1img'><img src=\""+SearchImgs+"\" width=\"100\" height=\"142\" style=\"border:#A7A7A7 1px solid;\" onclick=parent.directPage('"+parent.albumCode+"','"+parent.PageData[old_pg][4]+"'); style=\"cursor:pointer;\"></div><div class='box1title'><span class=\"font1S\">"+(otCount)+")</span><span class=\"font2S\">"+rePg+"</span></div><div class=box1contents onMouseOver='disableOndrag();' onMouseOut='enableOndrag();'>";
				searchPageFoot = "</div></div><div style='height:20px'></div>";
				
				inputStr  = searchPageHead  + sPrintBody[old_pg].replace(/{_total_}/ig, ptCount) +  searchPageFoot;
				/*
				var tmpSearchDiv=document.createElement("Div");
				document.body.insertBefore(tmpSearchDiv, null);
				//tmpSearchDiv.outerHTML = inputStr;
				setOuterHtml(tmpSearchDiv, inputStr);
				delete tmpSearchDiv;
				*/
				LayOutObj.innerHTML += inputStr;
				
				ptCount = 0;
				sPrintBody[old_pg] = null;
			}
			
			if(pLen==0)	
			  otCount++;
			
			if(!sPrintBody[pg])
				sPrintBody[pg] = "";
			var scontentse = SearchKey[i][9].replace(matchKey, "<span class=\"font4S\">"+SearchWord_Non_Space+"</span>");
			sPrintBody[pg] += "<a href=\"javascript:parent.SearchPageRefresh('"+parent.albumCode+"',"+parent.PageData[pg][4]+","+pLen+", {_total_});\"><span class=\"font3S\">"+(pLen+1)+".</span><span class=\"font0S\">"+scontentse+"</span></a><br><br>";
			
			old_pg = pg;
			rtCount++;
			ptCount++;

			if(sFirst == false) {
				SearchInfo[pg]['state'] = false;
			}
		}
	}
	Dn++;

	if(Dn > TotalFileCount) 
	{
		if(sPrintBody[old_pg])
		{
			var SearchImgs = parent.PageData[old_pg][6];	
				if(parent.PageNumPrintStart)
				{
					rePg = ( parent.PageData[old_pg][4] - parent.PageNumPrintStart) + 1;
					if(rePg < 1) 
						rePg = "Cover";
					else
						rePg = rePg+"P";
				}
				else
				{
					rePg = parent.PageData[old_pg][4]+"P";
				}
				
				searchPageHead ="<div class='box1' ><div class='box1img'><img src=\""+SearchImgs+"\" width=\"100\" height=\"142\" style=\"border:#A7A7A7 1px solid;\" onclick=parent.directPage('"+parent.albumCode+"','"+parent.PageData[old_pg][4]+"'); style=\"cursor:pointer;\"></div><div class='box1title'><span class=\"font1S\">"+(otCount)+")</span><span class=\"font2S\">"+rePg+"</span></div><div class=box1contents onMouseOver='disableOndrag();' onMouseOut='enableOndrag();'>";
				searchPageFoot = "</div></div><div style='height:20px'></div>";
					
				inputStr  = searchPageHead  + sPrintBody[old_pg].replace(/{_total_}/ig, ptCount) +  searchPageFoot;
				
				/*
				var tmpSearchDiv=document.createElement("Div");
				document.body.insertBefore(tmpSearchDiv,null);
				//tmpSearchDiv.outerHTML = inputStr;
				setOuterHtml(tmpSearchDiv, inputStr);
				delete tmpSearchDiv;
				*/

				LayOutObj.innerHTML += inputStr;
				
				ptCount = 0;
				sPrintBody[old_pg] = null;
		}

		if(!otCount && !rtCount)
		{
			var SearchToolTop = "<div class='box1' ><table width=\"330\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">"+
											  "<tr height=\"50\"><td width=\"10\">&nbsp;</td><td width=\"330\" align=center>\""+SearchWord_Non_Space+"\" 로 검색된 결과가 존재 하지 않습니다</div></td></tr>"+
											  "</table></div>";
			/*
			var tmpSearchDiv=document.createElement("Div");
			document.body.insertBefore(tmpSearchDiv,null);
			//tmpSearchDiv.outerHTML = SearchToolTop;
			setOuterHtml(tmpSearchDiv, SearchToolTop);
			delete tmpSearchDiv;
			*/
			LayOutObj.innerHTML += SearchToolTop;
			
		}
		else
		{
			document.getElementById('sResultTitle').innerHTML = otCount ;
			document.getElementById('sResultTitle2').innerHTML = rtCount;
		}
		
		parent.searchDataLoad2 = 1;

	}
	else 
	{
		LoadFiileChk2(0);
	}
}

try{var SearchWord = _get["key"][0];}catch(e){var SearchWord="";}

if(SearchWord)
{
	var SearchCorrect = new Array();
	var SearchWord_Non_Space = decodeURIComponent(SearchWord).replace(/ /ig, "");
	var matchKey = eval("/"+SearchWord_Non_Space+"/ig");
	var TotalPageDir = parent.PageDirNums.length-1;
	var FileName = new Array();
	
	for(n=sn; n <= TotalFileCount; n++)
	{
		FileName[n] = "./SearchKey_"+n+".js";
	}

	LoadFiileChk2(0);
}
else
{
	document.write("<table width=90% height=50 cellpadding=0 cellspacing=0 border=0><tr><td align=center valign=middle>검색어 입력후 검색버턴을 클릭하세요</td></tr></table>");
}
//]]>
</script>
<div id='SearchResultLayout' style='width:348px;height:320px;border:0px solid red; overflow:auto;'>
</div>
</body>
</html>
